Work Package # 47023 (Accepted): Global user interface
Task # 48068 (Closed): Menu component

Status: Closed Priority: Should have
Author: Rasmus Skjoldan Category:
Created: 2013-07-10 Assigned To:
Updated: 2014-11-02 Due date:
Subject: Condensed sticky menu
Description

Design the condensed sticky version of the menu - showing only the icons without module names. If user collapses a module section
and then afterwards condenses the menu, only the top level module will be seen.
Menu has 3 states:
    1. Full expanded, showing both icons and module names
    2. Collapsed
    3. Condensed, showing only icons
Design:
    -  Icon in the bottom left corner
    -  Design border-right/shadow when menu is collapsed

Associated revisions
Revision d361d669 - 2013-11-11 10:11 - Aske Ertmann

[TASK] Various improvements to sticky menu

    -  Fix global class name
    -  Ensure lines align with navigate component
    -  Fix button class name (using id instead)
    -  Fix bottom border of navigate button when sticky
    -  Prevent opening on mouseover when menu closed and sticky
    -  Use controller variable binding instead of configuration
    -  Get rid of unnecessary custom ember button
    -  Use controller sticky state instead of binding to individual views
    -  Remove mouse enter event for menu (never possible)
    -  Keep more in sync with the way the navigate component is made
    -  Remove border from sticky button
    -  Fix animation when opening menu when sticky
    -  Show label instead of description for menu titles when sticky

Change-Id: I7d3c81eac33c7ed36acfdb5c7ce493f0bb68437b
Related: #49850
History
#1 - 2013-07-11 22:32 - Aske Ertmann
- Project changed from Base Distribution to TYPO3.Neos
- Category deleted (Global User Interface)

#2 - 2013-10-22 16:17 - Aske Ertmann
- Subject changed from Design condensed sticky menu to Condensed sticky menu

#3 - 2013-10-22 16:18 - Aske Ertmann
- Status changed from New to Accepted
- Assigned To changed from Rasmus Skjoldan to Aske Ertmann
- Target version changed from 1.0 beta 1 to 1.0 alpha 7

#4 - 2013-10-22 16:18 - Aske Ertmann
- Status changed from Accepted to Resolved
- Assigned To deleted (Aske Ertmann)
- Target version changed from 1.0 alpha 7 to 1.0 alpha 6
- % Done changed from 0 to 100

#5 - 2014-11-02 18:24 - Aske Ertmann
- Status changed from Resolved to Closed
